Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::unwrap_reference_fn Struct Reference
Utility
Inheritance diagram for ranges::v3::unwrap_reference_fn:

## Public Member Functions
template<typename T , requires = (!is_reference_wrapper<T>())>
T && | operator() (T &&t) const noexcept
template<typename T >
reference_wrapper< T >::reference | operator() (reference_wrapper< T > t) const noexcept
template<typename T >
T & | operator() (std::reference_wrapper< T > t) const noexcept

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename T >

reference_wrapper<T>::reference ranges::v3::unwrap_reference_fn::operator() | ( | reference_wrapper< T > | t | ) | const
| noexcept

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ operator()() [2/2]

template<typename T >

T& ranges::v3::unwrap_reference_fn::operator() | ( | std::reference_wrapper< T > | t | ) | const
| noexcept

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.